Bug 8007 - файл /usr/include/mdbtools.h включает отсутствующий config.h
: файл /usr/include/mdbtools.h включает отсутствующий config.h
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libmdbtools-devel)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-19 11:26 by
Modified: 2006-05-11 10:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-19 11:26:46
файл /usr/include/mdbtools.h включает отсутствующий config.h
...
#include <string.h>
#include <glib.h>
#include <config.h>
^^^^
...
это мешает сборке новой версии libgda c поддержкой mdb.

Думаю ужалить это лишнее включение особого труда не составит.
------- Comment #1 From 2005-09-19 13:20:46 -------
Да, это они круто :(  
Исправил в mdbtools-0.6-alt2.1cvs20050908.src.rpm 
Только в config определялся HAVE_ICONV, так что 
смотрите чтобы он был перед include <mdbtools.h> 
------- Comment #2 From 2005-10-12 13:41:43 -------
$ cat /usr/include/mdbtools.h | grep config.h
#include <config.h>
[vkhilko@pc392 SPECS]$ rpm -qa libmdbtools-devel
libmdbtools-devel-0.6-alt2cvs20050908

пакет так и не добрался в сизиф... не забыли ли?
------- Comment #3 From 2005-10-12 14:20:50 -------
я то могу собрать пакет и без поддержки mdbtools, но вот гнумерику это не
понравится =)
------- Comment #4 From 2005-10-13 02:36:37 -------
Отправил ещё раз. 
------- Comment #5 From 2005-10-19 14:32:51 -------
0.6-alt2.1cvs20050908 < 0.6-alt2cvs20050908
------- Comment #6 From 2005-10-21 18:19:12 -------
предыдущий пост к тому, что при этом условии пакет никогда не попадёт в сизиф.
Правильно будет 0.6-alt3cvs20050908
------- Comment #7 From 2005-10-24 14:02:59 -------
Ну не подумал :) Отправил alt3 
------- Comment #8 From 2005-10-26 14:20:28 -------
Исправлено